% !TEX root = ../../main.tex
\definesubmol{HCOH}{C(-[,0.7]OH)(-[:180,0.7]H)}
\definesubmol{acido}{HO-[,0.7]C(=[:90,0.6]\lewis{13,O})}
\definesubmol{codatri}{\lewis{26,O}-[,0.7]C(=[:90,0.6]\lewis{13,O})}
\schemestart
    \chemfig{
        H
        -[:-90,0.7]C
            (-[:180,0.7]H)
            (-[:0,0.7]!{codatri}-[,0.7]R_1)
        -[:-90,1.15]C
            (-[:180,0.7]H)
            (-[:0,0.7]!{codatri}-[,0.7]R_2)
        -[:-90,1.15]C
            (-[:180,0.7]H)
            (-[:0,0.7]!{codatri}-[,0.7]R_3)
        -[:-90,0.7]H
    }
    \arrow(.east--.west){0}[,0]
    \+{0pt,0pt,0pt}
    $3$\chemfig{NaOH_{aq}}
    \arrow(.east--.west){->[$H_2O$]}[,0.5]
    \chemfig{
        H
        -[:-90,0.7]!{HCOH}
        -[:-90,1.15]!{HCOH}
        -[:-90,1.15]!{HCOH}
        -[:-90,0.7]H
    }
    \arrow(.-14--.west){0}[,0]
    \+
    $3$\chemname{\chemfig{
        C
            (=[:120]\lewis{24,O})
            (-[:240,,,2]Na^{+}O^{-})
        -R_n
    }}{Sapone}
\schemestop
